KMDIPrivate::ToggleToolViewAction Class Reference

`#include <kmdiguiclient.h>`

Inherits KToggleAction.

## Public Member Functions

| ToggleToolViewAction (const QString &text, const KShortcut &cut=KShortcut(), KDockWidget *dw=0, KMdiMainFrm *mdiMainFrm=0, QObject *parent=0, const char *name=0)

## Protected Slots

void | slotToggled (bool)
void | anDWChanged ()
void | slotWidgetDestroyed ()

## Detailed Description

A KToggleAction specifically for toggling the showing or the hiding of a KMDI tool view.

Definition at line 121 of file kmdiguiclient.h.

The documentation for this class was generated from the following files:

- kmdiguiclient.h
- kmdiguiclient.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys